<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PaymentOptionSearchRow StructType
 * @subpackage Structs
 */
class PaymentOptionSearchRow extends SearchRow
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\PaymentOptionSearchRowBasic
     */
    public $basic;
    /**
     * The transactionJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TransactionSearchRowBasic
     */
    public $transactionJoin;
    /**
     * Constructor method for PaymentOptionSearchRow
     * @uses PaymentOptionSearchRow::setBasic()
     * @uses PaymentOptionSearchRow::setTransactionJoin()
     * @param \StructType\PaymentOptionSearchRowBasic $basic
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     */
    public function __construct(\StructType\PaymentOptionSearchRowBasic $basic = null, \StructType\TransactionSearchRowBasic $transactionJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setTransactionJoin($transactionJoin);
    }
    /**
     * Get basic value
     * @return \StructType\PaymentOptionSearchRowBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\PaymentOptionSearchRowBasic $basic
     * @return \StructType\PaymentOptionSearchRow
     */
    public function setBasic(\StructType\PaymentOptionSearchRowBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get transactionJoin value
     * @return \StructType\TransactionSearchRowBasic|null
     */
    public function getTransactionJoin()
    {
        return $this->transactionJoin;
    }
    /**
     * Set transactionJoin value
     * @param \StructType\TransactionSearchRowBasic $transactionJoin
     * @return \StructType\PaymentOptionSearchRow
     */
    public function setTransactionJoin(\StructType\TransactionSearchRowBasic $transactionJoin = null)
    {
        $this->transactionJoin = $transactionJoin;
        return $this;
    }
}
